ISWPUNCT(3)

NAME
iswpunct, iswpunct_l - punctuation wide character test

SYNOPSIS

#include <wctype.h>

int iswpunct(wint_t c);

#include <wctype.h>

int iswpunct_l(wint_t c, locale_t locale);

DESCRIPTION

iswpunct is a function which classifies wide-character values that are punctuation.

iswpunct_l is like iswpunct but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

RETURNS

iswpunct, iswpunct_l return non-zero if c is a punctuation wide character.

PORTABILITY

iswpunct is C99. iswpunct_l is POSIX-1.2008.

No supporting OS subroutines are required.